using System;
using Microsoft.EntityFrameworkCore.Migrations;

#nullable disable

namespace CouchLog.Migrations
{
    /// <inheritdoc />
    public partial class CouchLogState : Migration
    {
        /// <inheritdoc />
        protected override void Up(MigrationBuilder migrationBuilder)
        {
            migrationBuilder.CreateTable(
                name: "CouchLogState",
                columns: table => new
                {
                    Id = table.Column<int>(type: "INTEGER", nullable: false)
                        .Annotation("Sqlite:Autoincrement", true),
                    IsInitialized = table.Column<bool>(type: "INTEGER", nullable: false),
                    InitializationDate = table.Column<DateTime>(type: "TEXT", nullable: true)
                },
                constraints: table =>
                {
                    table.PrimaryKey("PK_CouchLogState", x => x.Id);
                });
        }

        /// <inheritdoc />
        protected override void Down(MigrationBuilder migrationBuilder)
        {
            migrationBuilder.DropTable(
                name: "CouchLogState");
        }
    }
}
